/**
 * (c) by aheadware.com
 */

var app = app || {};
app.state = app.state || {};

app.state.ConfigurationNotifications = function()
{
    var state = app.core.StateManager.createState( 'configuration-notifications' );

    state.onEnter = function( p )
    {
        let $content = app.core.View.getContent();

        app.gui.PageLoader.show();

        app.core.Rpc.call(
            'Account',
            'getAccountRelatedData',
            null,
            function( res )
            {
                app.gui.PageLoader.hide();

                app.core.View.setContent(
                    app.core.View.getTemplate( 'configuration-notifications', res )
                );

            }
        );
    };

    return state;
};